// Device : Refrigerator
{
  "deviceName": "[refrigerator]",
  "deviceType": "x.wwst.d.refrigerator",
  "collectionInfo": {
    "rt": "x.com.samsung.devcol",
    "uri": "/device",
    "ocif": [
      "oic.if.baseline",
      "oic.if.ll",
      "oic.if.b"
    ]
  },
  "resourceTypes": [
    {
      "rt": "x.com.st.temperature.measured",
      "uri": "/temperatureMeasurement/cooler",
      "n": "Current Cooler Temperature",
      "v": true
    },
    {
      "rt": "x.com.st.temperature.measured",
      "uri": "/temperatureMeasurement/freezer",
      "n": "Current Freezer Temperature",
      "v": true
    },
    {
      "rt": "x.com.st.temperature.measured",
      "uri": "/temperatureMeasurement/cvroom",
      "n": "CV Room Temperature Measurement",
      "v": true
    },
    {
      "rt": "oic.r.sensor.contact",
      "uri": "/contactSensor/cooler",
      "n": "Cooler Door State",
      "v": true
    },
    {
      "rt": "oic.r.sensor.contact",
      "uri": "/contactSensor/freezer",
      "n": "Freezer Door State",
      "v": true
    },
    {
      "rt": "oic.r.sensor.contact",
      "uri": "/contactSensor/cvroom",
      "n": "CV Room Door State",
      "v": true
    },
    {
      "rt": "x.com.st.rapidcooling",
      "uri": "/rapidCooling/cooler",
      "n": "Rapid Cooling Mode",
      "v": true
    },
    {
      "rt": "x.com.st.rapidfreezing",
      "uri": "/rapidCooling/freezer",
      "n": "Rapid Freezing Mode",
      "v": true
    },
    {
      "rt": "x.com.st.filter",
      "uri": "/filterStatus/main",
      "n": "Filter State",
      "v": true
    },
    {
      "rt": "x.com.st.energymeter",
      "uri": "/energyMeter/main",
      "n": "Energy meter",
      "v": true
    }
  ],
  "platformInfo": {
    "pi": "1234",
    //this value is mandatory for registering platform
    "mnmn": "Samsung Electronics",
    "mnml": "http://www.samsung.com",
    "mnmo": "0x0300",
    "mndt": "",
    "mnpv": "",
    "mnos": "",
    "mnhw": "FAMILY_HUB_VER_1",
    "mnfv": "Virtual Device_0824",
    "mnsl": "",
    "st": "",
    "vid": "GE-REF-NORMAL-000001"
  }
}